View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000945aMuleSharedfilespublic2006-08-10 10:492006-08-14 22:34
Reporterdafelix 
Assigned ToKry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1.3 
Target VersionFixed in VersionSVN 
Summary0000945: Shareddir.dat removed after starting amulegui
DescriptionMy shareddir.dat is removed and replaced with an empty file when i start my aMuleGUI and try reloading the shared-file-list.
I can't seem to fix my shared-file-list, except copying my backup-file over the shareddir.dat, and then reload the list via the webserver (as reloading with the amulegui will replace the shareddir.dat with an empty one).
Changing the permissions for the shareddir.dat file won't work, as aMule deletes the file and then creates a new (empty) one
Additional Informationbash-3.00$ cat .aMule/shareddir.dat
(correct directories are showed)
bash-3.00$ amulegui
Connecting...
Going to event loop...
Remote GUI EC event handler
LOG: Succeeded! Connection established to aMule 2.1.3
LOG:
LOG: - This is aMule 2.1.3 using wxGTK2 v2.6.3 (Unicoded) based on eMule.
LOG: Running on Linux 2.4.31 i686
LOG: - Visit http://www.amule.org [^] to check if a new version is available.
LOG:
(Reloading the file-list)
bash-3.00$ cat .aMule/shareddir.dat
(nothing is showed)
bash-3.00$


Compiled from sources under slackware
TagsNo tags attached.
Fixed in Revision
Operating SystemSlackware (10.2) with 2.4.31 Kernel
Attached Files

- Relationships

-  Notes
(0002072)
pcmaster (reporter)
2006-08-10 23:41

If you use amulegui, you can not share dirs in computer that is running amulegui, the dirs must be in the computer running amuled. This is an issue if you use amuled and amulegui inn two separate computers. See bug 601 "amulegui show client directories"

This means that shared directories code is buggy. You can place shared files in incoming directory until shared directories code works.
(0002073)
dafelix (reporter)
2006-08-11 12:55

Still, if that is the real problem, it's a major bug imho. As I don't run X all the time, i use the daemon to keep my uploads going, and check them when running X. If i need to run the X-client, i keep reconnecting and losing all my slots (and speed).
Okay, the webserver is doing well, so i'm using that instead, but still it would be great if I just could use the aMuleGUI as well on the same machine

So, big thanks to the develops if they could fix this bug, and till then i just use the webserver (*snif*) instead
(0002074)
Kry (manager)
2006-08-12 03:24

I can easily make amulegui not destroy your shareddirs.dat, but I can't right now make it show the remote folders or allow you to change them, sorry. Too much work and rather busy.

So, would the fact amulegui does NOt destroy your file be ok?
(0002075)
dafelix (reporter)
2006-08-12 12:33

yeah, that would be great for me, then you can focus on more important stuff for now, thanks in advance :)
(0002077)
Kry (manager)
2006-08-14 22:34

Done for today's SVN. Please open a new one about share files interface not working on remote GUI, so I can leave it around.

- Issue History
Date Modified Username Field Change
2006-08-10 10:49 dafelix New Issue
2006-08-10 10:49 dafelix Operating System => Slackware (10.2) with 2.4.31 Kernel
2006-08-10 23:41 pcmaster Note Added: 0002072
2006-08-11 12:55 dafelix Note Added: 0002073
2006-08-12 03:23 Kry Status new => assigned
2006-08-12 03:23 Kry Assigned To => Kry
2006-08-12 03:24 Kry Note Added: 0002074
2006-08-12 12:33 dafelix Note Added: 0002075
2006-08-14 22:34 Kry Status assigned => resolved
2006-08-14 22:34 Kry Fixed in Version => SVN
2006-08-14 22:34 Kry Resolution open => fixed
2006-08-14 22:34 Kry Note Added: 0002077


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker